Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Class SciGenericFactoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.togethersoft.openapi.sci.SciGenericFactoryException

public class SciGenericFactoryException
extends Exception

This exception is thrown by the `SciGenericFactory` to indicate that its methods can't create a new object.

Author:
  TogetherSoft

Constructor Summary
`SciGenericFactoryException(String sourceText, int offset, String message)`

Method Summary
`String` | `getMessage()` Returns a message associated with this exception.
`int` | `getOffset()` Returns an integer number indicating the position in the source code framgent where the exception had arisen.
`String` | `getSourceText()` Returns a string containing a part of the source code caused this exception.
`String` | `toString()` Returns a string describing this exception

Methods inherited from class java.lang.Throwable
`getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SciGenericFactoryException

    public SciGenericFactoryException(String sourceText, int offset, String message)

Method Detail

### getMessage

    public String getMessage()

  Returns a message associated with this exception.
  Returns: a message associated with this exception

### getOffset

    public int getOffset()

  Returns an integer number indicating the position in the source code framgent where the exception had arisen. This position correspondes to the string returned by `getSourceText` method.
  See Also:
    getSourceText()

### getSourceText

    public String getSourceText()

  Returns a string containing a part of the source code caused this exception. It it possible to get a position in that string of where this exception had arisen using `getOffset` method.
  Returns: a string containing a part of the source code caused this exception
  See Also:
    getOffset()

### toString

    public String toString()

  Returns a string describing this exception
  Returns: a string describing this exception

Association Links

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD